Bug 175334 - kpilotDaemon crashes on startup
kpilotDaemon crashes on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 17:51 EST by Jesse Barnes
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 07:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace from the kpilot daemon crash on my machine (3.33 KB, text/plain)
2006-04-15 12:02 EDT, Paul S. Bains
no flags Details

  None (edit)
Description Jesse Barnes 2005-12-08 17:51:44 EST
When I start kpilot, it complains that it can't find the device node for my  
Treo, then kpilotDaemon crashes.  And even after I hit the 'sync' button on my 
Treo, I don't get a device node created, so maybe the udev visor rules are 
broken somehow? 
 
Jesse
Comment 1 Jesse Barnes 2005-12-15 18:54:26 EST
Installing the new pilot-link package fixed the creation of the device nodes 
(I see /dev/pilot now when I hit the 'sync' button), but kpilotDaemon still 
crashes on startup unless it exists (IOW I have to hit the sync button before 
I start kpilot or I get a nasty SEGV message). 
 
Comment 2 Paul S. Bains 2006-04-15 12:02:38 EDT
Created attachment 127782 [details]
Backtrace from the kpilot daemon crash on my machine
Comment 3 Paul S. Bains 2006-04-15 12:03:45 EDT
Kpilot daemon crashes for me on startup also. I have a Palm Zire 31. It doesn't
matter whether or not I have the sync button on the device pressed before I
start kpilot or not. As soon as I start kpilot or kontact, the kpilot daemon
crashes. I have attached a backtrace.
Comment 4 Ngo Than 2006-04-21 07:00:48 EDT
it seems the same bug #186779 and it's fixed now in 0.11.8-15. It will be
available in rawhide soon. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.